Bug Hunting Session
Bug 71233 - Sidebar: Styles and Formatting - Paragraph styles lacks the "Clear formatting" action available on the toolbar
Summary: Sidebar: Styles and Formatting - Paragraph styles lacks the "Clear formatting...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2013-11-04 20:58 UTC by Frank
Modified: 2017-03-07 08:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Images and Commentary (339.88 KB, application/PDF)
2013-11-04 20:58 UTC, Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2013-11-04 20:58:44 UTC
Created attachment 88653 [details]
Images and Commentary

I recently discovered the new “experimental sidebar” in version 4.1.x and must say that I like it very much. But, since it is still experimental, I thought I would pass on the following comments to whoever is developing this feature in the hopes of making it even more useful (or at least more to my liking). I’m using LibreOffice Version: 4.1.3.2 on 64 bit Ubuntu 12.04 by the way.

See the attached for images showing the existing sidebar and suggested "refinements" that I believe would make it more consistent and useful (at least to me).

Great Addition, by the way - gives me a lot more vertical screen space.
Comment 1 Maxim Monastirsky 2013-11-13 11:11:14 UTC
Hi,
Thank you for your detailed report!
The resize problem is already fixed in master a long time ago, and will be available in 4.2.0.

BTW next time it would be better if you report each issue as a separate bug. It's very hard to keep track of bugs with several issues.
Comment 2 V Stuart Foote 2014-06-07 15:27:34 UTC
Other Sidebar issues of OP resolved. Remaining issue is lack of a "Clear formatting" action button to clear styles setting selected block of text to "default" as available on the Toolbar from the Apply Style drop down.

Adjusting summary for clarity.
Comment 3 Yousuf Philips (jay) (retired) 2015-08-08 22:44:48 UTC
In a revised version of my mockup of a redesigned styles & formatting tab (attachment 115020 [details]) i wanted to add a clear button in they paragraph and character style sections. Of course a user can easily clear the style formatting by on 'Default Style' in the list.
Comment 4 Frank 2016-10-23 15:17:10 UTC
Hi Yousuf/Jay:

That looks like it would work just fine, although I have a question and a comment:

Q: I assume that clicking on the [x] will remove all of the direct formatting elements listed (as the menu option does currently); is there any merit to permitting the removal of these selectively, i.e. with a check box next to each? If for example one wanted to remove the character formatting but leave the paragraph centering alone. Not a big deal of course, but there have been times where that might have been helpful.

Comment: You say that "Of course a user can easily clear the style formatting by on 'Default Style' in the list." I've often attempted that - just because it seems as if it ought to work - but I've never seen it happen; am I just missing something.

N.B. I'm the original poster of this bug report, and am currently running Version: 5.2.2.2 Build ID: 1:5.2.2-0ubuntu1~xenial0 on Ubuntu 16.04.1 if that makes any difference.

Go for it !!
Comment 5 Octavio Alvarez 2016-10-23 23:15:58 UTC
Sometimes a Character Style may be applied too. When I want to clear *all* text formatting (aside from lists) I set "Default Style" for Paragraph Styles, for Character Styles and then hit Ctrl+M.

I don't think there's an option to do this in one step, as the "Clear formatting" option menu from the "Apply Style" dropdown does _not_ set the Character Style to "Default Style".